<?php

namespace App\Commands;

use Illuminate\Console\Scheduling\Schedule;
use LaravelZero\Framework\Commands\Command;

class SettingsMenuCommand extends Command
{
    /**
     * The signature of the command.
     *
     * @var string
     */
    protected $signature = 'settings:menu';

    /**
     * The description of the command.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        // create menu
        $builder = $this->menu('Settings')
            ->addSubMenu('Sources', [
                'd',
                'e'
            ]);

        $builder->addLineBreak('-');

        $mainmenu = $builder->build();
        $mainmenu->open();
    }
}
